import Vue from 'vue'
import Router from 'vue-router'
import Login from '@/views/Login.vue'
import Home from '@/views/Home.vue'
import Welcome from '@/views/Welcome.vue'
import Users from '@/views/user/Users.vue'
import Rights from '@/views/power/Rights.vue'
import Roles from '@/views/power/Roles.vue'
import Cate from '@/views/goods/Cate.vue'
import Time from '@/views/goods/Time.vue'
import Roles1 from '@/views/power/Roles1.vue'

import FeedProcess from '@/views/dataStatistics/FeedProcess.vue'
import CowInfo from '@/views/cowManagement/CowInfo.vue'
import EventRecord from '@/views/cowManagement/EventRecord.vue'



import CowCowShed from '@/views/cowShedManagement/CowCowShed.vue'
import CowShedGroup from '@/views/cowShedManagement/CowShedGroup.vue'

import FeedPlan from '@/views/formulaPlan/FeedPlan.vue'
import FormulaTemplate from '@/views/formulaPlan/FormulaTemplate.vue'

import CalfType from '@/views/basicSettings/CalfType.vue'
import WorkOrderType from '@/views/basicSettings/WorkOrderType.vue'
import FeedCarManagement from '@/views/basicSettings/FeedCarManagement.vue'
import DiseaseType from '@/views/basicSettings/DiseaseType.vue'
import FeedTemplate from '@/views/basicSettings/FeedTemplate.vue'
import DefaultPara from '@/views/basicSettings/DefaultPara.vue'
import FeedCost from '@/views/basicSettings/FeedCost.vue'

import User from '@/views/systemManagement/User.vue'
import Role from '@/views/systemManagement/Role.vue'


Vue.use(Router)

const router =  new Router({
  mode:'hash',
  routes: [
    // 当路径为/,重定向路径到/login
    { path: '/', redirect: '/login' },
    // 当路径为/login,转到组件Login
    { path: '/login', component: Login },
    { 
      path: '/home', 
      component: Home,
      // 当路径为/home,转到组件welcome
      redirect: '/welcome',
      //children里面放的是home组件下的子组件
      children:[
        { path: '/welcome', component: Welcome },
         


        

        // { path: '/users', component: Users },
        // { path: '/rights', component: Rights },
        // { path: '/roles', component: Roles },
        // { path: '/roles1', component: Roles1 },
        // { path: '/categories', component: Cate },
        // { path: '/time', component: Time },

        { path: '/FeedProcess', component: FeedProcess },

        { path: '/CowInfo', component: CowInfo },
        { path: '/EventRecord', component: EventRecord },
        

        { path: '/CowCowShed', component: CowCowShed },
        { path: '/CowShedGroup', component: CowShedGroup },

        { path: '/FeedPlan', component: FeedPlan },
        { path: '/FormulaTemplate', component: FormulaTemplate },

        { path: '/CalfType', component: CalfType },
        { path: '/WorkOrderType', component: WorkOrderType },
        { path: '/FeedCarManagement', component: FeedCarManagement },
        { path: '/DiseaseType', component: DiseaseType },
        { path: '/FeedTemplate', component: FeedTemplate },
        { path: '/DefaultPara', component: DefaultPara },
        { path: '/FeedCost', component: FeedCost },

 


        { path: '/User', component: User },
        { path: '/Role', component: Role },
        

 
        
        
      ] 
    }
  ]
})



// 添加 beforeEach 导航守卫，如果用户没登录，直接访问其他页面，就跳转到登录页
router.beforeEach((to, form, next) => {
  // to 将要访问的路径
  // form 代表从哪个路径跳转而来
  // next 是一个函数，表示放行
  // next() 放行，next('/login')强制跳转
  //如果用户访问登录页，直接放行，
  if(to.path === '/login') return next();
  //从本地存储获取到token信息
  // const tokenStr  = window.sessionStorage.getItem('token')
  //没有token就强制跳转到登录页
   //if (!tokenStr) return next('/login')
  next()
})

export default router

